List a client's letters of authority Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/addons/pensionlab/clients/{client_id}/letters-of-authority

Includes joint letters where the client is the second owner.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • client_id string Required

    The ID of the client.

Query parameters

  • filter[needs_attention] boolean

    Only letters the provider has rejected.

  • sort string

    Field to sort by. Valid fields are [created_at, raised_at, state]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • client object
        Hide client attributes Show client attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • second_owner object
        Hide second_owner attributes Show second_owner attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • plan object
        Hide plan attributes Show plan attributes object
        • uuid string
        • created_at string
        • updated_at string
        • opened_at string
        • name string
        • type string
        • sub_type string
        • abstract_type string
        • policy_number string
        • proposal_reference string
        • status string
        • inactive_at string
        • inactive_reason string
        • is_group_scheme boolean
        • is_sub_group_scheme boolean
        • is_group_scheme_member boolean
        • is_wrap_product boolean
        • is_wrap_child boolean
      • pensionlab_provider object
        Hide pensionlab_provider attributes Show pensionlab_provider attributes object
        • uuid string
        • name string
        • policy_number_format string
        • policy_number_is_nino boolean
        • is_db_only boolean
        • response_estimate_days integer
        • provider object
          Hide provider attributes Show provider attributes object
          • uuid

            UUID of the provider

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Provider name

          • slug

            Provider name slug

      • requested_by object
        Hide requested_by attributes Show requested_by attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • policy_number string
      • ownership string
      • pensionlab_reference string
      • state string
      • signature_status string
      • closed_sub_state string
      • issues array[string]
      • notes string
      • estimated_completion string
      • finished_policies_fraction string
      • client_signed_at string
      • second_owner_signed_at string
      • signed_at string
      • sent_at string
      • completed_at string
      • closed_at string
      • last_synced_at string
      • sync_error string
      • raised_at string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
GET /api/v1/addons/pensionlab/clients/{client_id}/letters-of-authority
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/addons/pensionlab/clients/architecto/letters-of-authority' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "4497f48a-436a-46ba-8346-400de2ad3af2",
      "created_at": "2026-10-29T14:28:07+00:00",
      "updated_at": "2026-10-29T14:28:07+00:00",
      "client": {
        "uuid": "0a582743-d1e8-4312-bdee-fe48e617afd0",
        "created_at": "2026-10-29T14:28:07+00:00",
        "updated_at": "2026-10-29T14:28:07+00:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "05122716-2590-482d-a2b3-da441a946089",
          "created_at": "2026-10-29T14:28:10+00:00",
          "updated_at": "2026-10-29T14:28:10+00:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "second_owner": {
        "uuid": "476487e6-928e-4757-bb4e-10dba5712ac6",
        "created_at": "2026-10-29T14:28:07+00:00",
        "updated_at": "2026-10-29T14:28:07+00:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "05122716-2590-482d-a2b3-da441a946089",
          "created_at": "2026-10-29T14:28:10+00:00",
          "updated_at": "2026-10-29T14:28:10+00:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "plan": {
        "uuid": "7612b1b7-4036-4cf8-8147-34d415096136",
        "created_at": "2026-10-29T14:28:07+00:00",
        "updated_at": "2026-10-29T14:28:07+00:00",
        "opened_at": "2026-10-29T14:28:07+00:00",
        "name": "Johns ISA",
        "type": "cash_account",
        "sub_type": "lifetime isa",
        "abstract_type": "asset",
        "policy_number": "AVIVA-123",
        "proposal_reference": "AB123456",
        "status": "inactive",
        "inactive_at": "2026-10-29T14:28:07+00:00",
        "inactive_reason": "claimed",
        "is_group_scheme": false,
        "is_sub_group_scheme": false,
        "is_group_scheme_member": false,
        "is_wrap_product": false,
        "is_wrap_child": false
      },
      "pensionlab_provider": {
        "uuid": "384473a8-d35e-436e-9fdf-e39bc74a38ba",
        "name": "Aviva Life & Pensions UK Ltd",
        "policy_number_format": "123456/PP",
        "policy_number_is_nino": false,
        "is_db_only": false,
        "response_estimate_days": 14,
        "provider": {
          "uuid": "f9891be9-5653-4e65-92d0-39622c7759bd",
          "created_at": "2026-10-29T14:28:10+00:00",
          "updated_at": "2026-10-29T14:28:10+00:00",
          "name": "AJ Bell",
          "slug": "aj-bell"
        }
      },
      "requested_by": {
        "uuid": "1f22a58e-9169-4453-9066-5b0335fccc17",
        "created_at": "2026-10-29T14:28:07+00:00",
        "updated_at": "2026-10-29T14:28:07+00:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "05122716-2590-482d-a2b3-da441a946089",
          "created_at": "2026-10-29T14:28:10+00:00",
          "updated_at": "2026-10-29T14:28:10+00:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "policy_number": "123456/PP",
      "ownership": "single",
      "pensionlab_reference": "loa123",
      "state": "created",
      "signature_status": "Awaiting signature",
      "closed_sub_state": "chased out",
      "issues": [
        "Date of birth"
      ],
      "notes": "Provider confirmed receipt.",
      "estimated_completion": "7 days",
      "finished_policies_fraction": "2/5",
      "client_signed_at": "2026-10-27T09:00:00+00:00",
      "second_owner_signed_at": "2026-10-27T09:30:00+00:00",
      "signed_at": "2026-10-27T09:30:00+00:00",
      "sent_at": "2026-10-27T10:00:00+00:00",
      "completed_at": "2026-11-03T10:00:00+00:00",
      "closed_at": "2026-11-03T10:00:00+00:00",
      "last_synced_at": "2026-10-27T10:05:00+00:00",
      "sync_error": "credentials_unavailable",
      "raised_at": "2026-10-26T10:00:00+00:00",
      "signing_link_sent_at": "2026-10-26T10:05:00+00:00",
      "signing_link_sent_by": {
        "uuid": "86eab737-26e4-47ea-afa2-0b5365f1c268",
        "created_at": "2026-10-29T14:28:07+00:00",
        "updated_at": "2026-10-29T14:28:07+00:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "05122716-2590-482d-a2b3-da441a946089",
          "created_at": "2026-10-29T14:28:10+00:00",
          "updated_at": "2026-10-29T14:28:10+00:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      }
    }
  ]
}
Response examples (422)
{
  "message": "The selected needs attention is invalid.",
  "errors": {
    "filter.needs_attention": [
      "The selected needs attention is invalid."
    ]
  }
}